# Input Leap

This overlay has a working, updated version of Input Leap, a fork of
Barrier (itself a fork of Synergy), which is a "virtual KVM switch",
allowing you to share a keyboard and mouse between several computers
over the network.

The most important things about Input Leap:
 - Maintained.
 - Supports Wayland.

## Project Status

Input Leap is technically alpha quality, because it does not yet have a
stable release. Thus, the ebuild is a `9999` version ebuild.

Building from `HEAD` is highly unstable and _NOT_ recommended. See below.

## Setup

To use this overlay's version of Input Leap, unmask the following packages:

```
dev-libs/libportal::projectmoon
x11-misc/input-leap::projectmoon
```

Then add the package accept keywords:

```
dev-libs/libportal::projectmoon
x11-misc/input-leap::projectmoon **
```

*The double star allows unstable git builds.*

A portage env config is currently required to install this ebuild.
Create a file `/etc/portage/env/input-leap.conf` and then add an entry
to `/etc/portage/package.env`. The latest commits to input-leap have
broken the git build. The last known working build of a stable release
is v3.0.1.

The `input-leap.conf` file should have the following:
```
MYCMAKEARGS="-DQT_DEFAULT_MAJOR_VERSION=5"
EGIT_OVERRIDE_COMMIT_INPUT_LEAP_INPUT_LEAP="v3.0.1"
```

Then the `package.env` entry should be:
```
x11-misc/input-leap::projectmoon input-leap.conf
```

## USE Flags

This ebuild of Input Leap supports Wayland integration via `libei`, on
supported compositors (notably, wlroots is apparently not supported by
upstream). To use the `libei` integration, you must have a version of
`libportal` with Input Capture support, which at time of writing
(libportal 0.7.1) is not yet released.

This overlay contains a custom ebuild of `dev-libs/libportal` that can
enable Input Capture. The patch is cherry-picked from the upstream
commits.

To configure Input Leap to use `libei` for Wayland support, add the
following USE declarations:

```
dev-libs/libportal inputcapture
x11-misc/input-leap wayland
```

Note that `inputcapture` is NOT a USE flag on the main Gentoo ebuild. So
if you haven't unmasked this overlay's version of `libportal`, you will
receive an error when trying to install Input Leap.
